Skip to main content
`Ctrl`+`K`

# PetscIntStackDestroy

This function destroys a stack.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntStackDestroy(PetscIntStack stack)

Not Collective, No Fortran Support

## Input Parameter

- stack - The stack

## See Also

`PetscIntStackCreate()`, `PetscIntStackEmpty()`, `PetscIntStackPush()`, `PetscIntStackPop()`, `PetscIntStackTop()`

## Level

developer

## Location

src/sys/logging/utils/stack.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages